#
# spec file for package wipe
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           wipe
Version:        2.3.1
Release:        lp152.3.5
Summary:        Secure Erasure of Data
License:        GPL-2.0+
Group:          Productivity/File utilities
Url:            http://wipe.sourceforge.net/
Source0:        http://sourceforge.net/projects/wipe/files/wipe/%{version}/%{name}-%{version}.tar.bz2
Source1:        http://sourceforge.net/projects/wipe/files/wipe/%{version}/%{name}-%{version}.tar.bz2.sig
Source2:        %{name}.keyring
# PATCH-FIX-OPENSUSE wipe-2.2.0-makefile.diff -- Fix for Makefile.in to correct the install permissions and to don't strip binaries
Patch0:         %{name}-2.2.0-makefile.diff
# PATCH-FIX-OPENSUSE wipe-2.2.0-errno.diff --
Patch1:         %{name}-2.2.0-errno.diff
# PATCH-FIX-OPENSUSE wipe-2.2.0-include.diff --
Patch2:         %{name}-2.2.0-include.diff
BuildRequires:  automake
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Wipe is a tool that attempts to effectively degauses the surface of
a hard disk, making it virtually impossible to retrieve the data
that was stored on it. This tool is designed to make sure secure
data that is erased from a hard drive is unrecoverable.

%prep
%setup -q
%patch0
%patch1
%patch2

%build
autoreconf -fi
%configure
make CFLAGS="%{optflags} -Wall -I. -DLINUX $(DEFINES) -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64" %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install %{?_smp_mflags}

%files
%defattr(-,root,root,-)
%doc CHANGES LICENSE README TODO copyright
%{_mandir}/man?/*
%{_bindir}/*

%changelog
* Tue Apr 21 2015 mpluskal@suse.com
- Drop dependency on gpg-offline
- Use url for sources
- Cleanup spec file with spec-clener
* Thu Nov 29 2012 sbrabec@suse.cz
- Verify GPG signature.
* Wed Dec 21 2011 coolo@suse.com
- add automake as buildrequire to avoid implicit dependency
* Mon Dec 19 2011 coolo@suse.com
- remove call to suse_update_config
* Sat Feb 19 2011 asterios.dramis@gmail.com
- Update to 2.3.1:
  * fixed Makefile bug! Running make uninstall removed target bin directory.
  From 2.3:
  * the default is now one single random pass  <-- MAJOR CHANGE
  * special files are no longer deleted by default
  * support for wiping char devices, such as tape drives
  * percentage reporting improved (thanks to Jason Tackaberry for patch)
  * cleanup and exit upon SIGINT
  * each wiped file prints on a seperate line
  * skip unnecessary fdatasync()s, unless you want the extra accuracy on the %%
    shown (-e option)
  * call fsync() on the file after name wipe, in addition to fsync on the
    directory
  * if fdatasync() fails, try for O_SYNC and only complain once per file
  * fixed some off-by-ones
  * fixed percentages for non-static wipes
  From 2.2.1:
  * added largefile support for linux and solaris (tested on linux)
  * fixed drill_down(). it was using the wrong length to null term the string
- Spec file updates:
  * Changes based on rpmdevtools templates and spec-cleaner run.
  * Added description for patches based on openSUSE Patches Guidelines (where
    possible).
  * Updated the %%description.
  * Updates in %%build and %%install sections.
  * Removed %%changelog entries from spec file.
- Removed wipe-2.2.0-autoconf.diff and wipe-2.2.0-string.diff patches (they are
  included upstream).
- Rebased wipe-2.2.0-errno.diff to make it apply.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Jan 16 2006 schwab@suse.de
- Don't strip binaries.
* Thu Jul 21 2005 anicka@suse.cz
- fix broken path handling (#70841)
* Mon Apr 18 2005 mjancar@suse.cz
- fix for new kernel headers
* Fri May 28 2004 mjancar@suse.cz
- fix broken kernel includes
* Mon Mar  1 2004 hmacht@suse.de
- building as nonroot-user
- added patch for correcting the install permissions
* Fri Feb 27 2004 mjancar@suse.cz
- update to 2.2.0
* Wed Jun  4 2003 mjancar@suse.cz
- update to 2.1.0
- use $RPM_OPT_FLAGS
- correct author
* Sun Dec  1 2002 ro@suse.de
- include errno.h where needed
* Tue Sep 17 2002 ro@suse.de
- removed bogus self-provides
* Tue Feb 12 2002 ro@suse.de
- fixed makefile patch (wrong install options for man-page)
* Wed Aug  8 2001 adostal@suse.cz
- update to version 2.0.0
- fixed spec file and makefile
- add .sig file to sources
* Tue Dec  5 2000 schwab@suse.de
- Add %%suse_update_config.
* Mon Oct 23 2000 kukuk@suse.de
- Update to wipe 1.2.2
- Don't use kernel header files
* Tue Apr  4 2000 ro@suse.de
- added patch from homepage to avoid mmap-errors
- cleaned patch a bit
* Thu Feb 24 2000 freitag@suse.de
- moved manpage to /usr/share
* Sat Oct 23 1999 freitag@suse.de
- update to version 1.0.0
* Mon Sep 13 1999 bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Wed Aug  4 1999 kukuk@suse.de
- Remove old binary before we call make
* Fri Nov 27 1998 bs@suse.de
- install man page in section 8.
* Thu Nov 19 1998 @suse.de
- new packages version 0.02
